## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XercesDOMException Class Reference

Inheritance diagram for XercesDOMException:

[legend]
Collaboration diagram for XercesDOMException:

[legend]
List of all members.

## Public Member Functions

Constructors and assignment operator

- XercesDOMException (ExceptionCode code=UNKNOWN_ERR)
    Constructor which takes an error code.
- XercesDOMException (const XercesDOMException &theSource)
    Copy constructor.

Destructor.

- virtual ~XercesDOMException ()
    Destructor for XercesDOMException.

## Constructor & Destructor Documentation

XercesDOMException::XercesDOMException | ( | ExceptionCode | code = UNKNOWN_ERR | ) | `[explicit]`

  | Constructor which takes an error code. Parameters:
  code | The error code which indicates the exception

XercesDOMException::XercesDOMException | ( | const XercesDOMException & | theSource | ) |

  | Copy constructor. Parameters:
  other | The object to be copied.

virtual XercesDOMException::~XercesDOMException | ( |  | ) | `[virtual]`

| Destructor for XercesDOMException.

The documentation for this class was generated from the following file:

- XercesDOMException.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.